Opened 8 years ago

Closed 8 years ago

#3087 closed defect (fixed)

lwgeom_regress failure when testing .with CREATE EXTENSION

Reported by: robe Owned by: robe
Priority: medium Milestone: PostGIS 2.2.0
Component: postgis Version: master
Keywords: Cc:

Description (last modified by robe)

I suspect this has more to do with using CREATE EXTENSION for testing rather than 9.5, but I get this failure

PostgreSQL 9.5devel on x86_64-w64-mingw32, compiled by gcc.exe (x86_64-win32-seh
-rev1, Built by MinGW-W64 project) 4.8.3, 64-bit
 - 2015-03-23 03:36:18
  scripts 2.2.0dev r13376
  raster scripts 2.2.0dev r13376
  GEOS: 3.5.0dev-CAPI-1.9.0 r4034
  PROJ: Rel. 4.8.0, 6 March 2012

--- lwgeom_regress_expected	2015-03-16 00:35:34 -0400
+++ /projects/postgis/tmp/2.2_pg9.5w64/test_33_out	2015-03-22 23:38:46 -0400
@@ -5,9 +5,9 @@
 20464
 15824
 11184
-#3069|Point[S]
+ERROR:  function postgis_noop(unknown) is not unique at character 28
 #3069|LineString[S] with 2 points
-#3069|MultiPoint[S] with 1 elements   Point[S]
+ERROR:  function postgis_noop(unknown) is not unique at character 36
 #3069|MultiLineString[S] with 1 elements   LineString[S] with 2 points
 #3069|Polygon[BS] with 1 rings    ring 0 has 5 points
 #3069|BOX(1 1,1 1)

Change History (3)

comment:1 by robe, 8 years ago

Description: modified (diff)
Summary: lwgeom_regress failure when testing on 9.5 with CREATE EXTENSIONlwgeom_regress failure when testing .with CREATE EXTENSION

comment:2 by robe, 8 years ago

Owner: changed from pramsey to robe

comment:3 by robe, 8 years ago

Resolution: fixed
Status: newclosed

fixed at r13387

Note: See TracTickets for help on using tickets.